<div class="row">
  <div class="col-12 d-flex justify-content-between align-items-center">
    <div class="title-warpper">
      <div class="row" (click)="back()" style="cursor: pointer;">
        <span class="col-1">
          <img src="assets/img/chevron-left.svg" (click)="back()" class="back-btn">
        </span>
        <span class="col-11 head-title">ดูรายละเอียดสิทธิ์การใช้งานในระบบ</span>
      </div>
      <span class="sub-title">รายละเอียดสิทธิ์ของผู้ใช้งาน และระดับสิทธิ์ผู้ใช้งานในระบบดังตาราง</span>
    </div>
  </div>
</div>
<br>

<div class="row">
  <div class="col-12">
    <div class="box">
      <div class="row mt-4">
        <div class="col-12">
          <span class="title">รายการแสดงแต่ละสิทธิ์การใช้งานในระบบ</span>
        </div>
        <div class="col-12">
          <hr>
        </div>
        <div class="col-12">
          <div class="table-responsives">
            <table mat-table [dataSource]="dataSourceSearch" class="mat-elevation-z8 mt-3 table-search">


              <!-- Empoyeeid Column -->
              <ng-container matColumnDef="no">
                <th mat-header-cell *matHeaderCellDef style="text-align: center;">ลำดับที่</th>
                <td mat-cell *matCellDef="let element" style="text-align: center;"> {{element.id}} </td>
              </ng-container>

              <!-- Name Column -->
              <ng-container matColumnDef="permission">
                <th mat-header-cell *matHeaderCellDef>สิทธิ์ผู้ใช้งาน</th>
                <td mat-cell *matCellDef="let element">
                <a *ngIf="element.permission === 'Retail'">
                  Retail Shared Services 
                </a>
                <a *ngIf="element.permission !== 'Retail'">
                  {{ element.permission }}
                </a>
              </td>
              </ng-container>

              <!-- Position Column -->
              <ng-container matColumnDef="level">
                <th mat-header-cell *matHeaderCellDef style="width : 55%;">ระดับสิทธิ์ผู้ใช้งาน</th>
                <td mat-cell *matCellDef="let element"> {{element.level}} </td>
              </ng-container>

              <!-- View Detail Column -->
              <ng-container matColumnDef="view_detail">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element" style="text-align: center;">
                  <a (click)="viewDetail(element.id)" style="color: #00A4E4; cursor: pointer;">
                    <span>ดูรายละเอียดเพิ่มเติม</span>
                    <img src="assets/img/chevron-right (1).svg" class="chrevron-right">
                  </a>

                </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
          </div>
          <br><br>
        </div>


      </div>
    </div>
  </div>
</div>